package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 质量月报S1301对象 t_monthly_quality_report_s1301
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public class TMonthlyQualityReportS1301 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String locationName;

    /** 采样点 */
    @Excel(name = "采样点")
    private String samplePoint;

    /** 采样日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "采样日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sampleDate;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 非芳烃 */
    @Excel(name = "非芳烃")
    private String na;

    /** 苯 */
    @Excel(name = "苯")
    private String benzene;

    /** 甲苯 */
    @Excel(name = "甲苯")
    private String toluene;

    /** 乙苯 */
    @Excel(name = "乙苯")
    private String ethylbenzene;

    /** 对-二甲苯 */
    @Excel(name = "对-二甲苯")
    private String pXylene;

    /** 间-二甲苯 */
    @Excel(name = "间-二甲苯")
    private String mXylene;

    /** 邻-二甲苯 */
    @Excel(name = "邻-二甲苯")
    private String oXylene;

    /** 苯乙烯 */
    @Excel(name = "苯乙烯")
    private String styrene;

    /** 苯乙炔 */
    @Excel(name = "苯乙炔")
    private String phenylacetylene;

    /** 总芳烃 */
    @Excel(name = "总芳烃")
    private String totalAromatics;

    /** 溴价 */
    @Excel(name = "溴价")
    private String brNumber;

    /** 双烯值 */
    @Excel(name = "双烯值")
    private String dieneValue;

    /** 总氮 */
    @Excel(name = "总氮")
    private String totalNitrogen;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private String deptName;

    /** 入口温度 */
    private String temperatureIn;

    /** 一段温升 */
    private String temperatureRaise;

    public String getTemperatureIn() {
        return temperatureIn;
    }

    public void setTemperatureIn(String temperatureIn) {
        this.temperatureIn = temperatureIn;
    }

    public String getTemperatureRaise() {
        return temperatureRaise;
    }

    public void setTemperatureRaise(String temperatureRaise) {
        this.temperatureRaise = temperatureRaise;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocationName(String locationName)
    {
        this.locationName = locationName;
    }

    public String getLocationName()
    {
        return locationName;
    }
    public void setSamplePoint(String samplePoint)
    {
        this.samplePoint = samplePoint;
    }

    public String getSamplePoint()
    {
        return samplePoint;
    }
    public void setSampleDate(Date sampleDate)
    {
        this.sampleDate = sampleDate;
    }

    public Date getSampleDate()
    {
        return sampleDate;
    }
    public void setSampleName(String sampleName)
    {
        this.sampleName = sampleName;
    }

    public String getSampleName()
    {
        return sampleName;
    }
    public void setNa(String na)
    {
        this.na = na;
    }

    public String getNa()
    {
        return na;
    }
    public void setBenzene(String benzene)
    {
        this.benzene = benzene;
    }

    public String getBenzene()
    {
        return benzene;
    }
    public void setToluene(String toluene)
    {
        this.toluene = toluene;
    }

    public String getToluene()
    {
        return toluene;
    }
    public void setEthylbenzene(String ethylbenzene)
    {
        this.ethylbenzene = ethylbenzene;
    }

    public String getEthylbenzene()
    {
        return ethylbenzene;
    }
    public void setpXylene(String pXylene)
    {
        this.pXylene = pXylene;
    }

    public String getpXylene()
    {
        return pXylene;
    }
    public void setmXylene(String mXylene)
    {
        this.mXylene = mXylene;
    }

    public String getmXylene()
    {
        return mXylene;
    }
    public void setoXylene(String oXylene)
    {
        this.oXylene = oXylene;
    }

    public String getoXylene()
    {
        return oXylene;
    }
    public void setStyrene(String styrene)
    {
        this.styrene = styrene;
    }

    public String getStyrene()
    {
        return styrene;
    }
    public void setPhenylacetylene(String phenylacetylene)
    {
        this.phenylacetylene = phenylacetylene;
    }

    public String getPhenylacetylene()
    {
        return phenylacetylene;
    }
    public void setTotalAromatics(String totalAromatics)
    {
        this.totalAromatics = totalAromatics;
    }

    public String getTotalAromatics()
    {
        return totalAromatics;
    }
    public void setBrNumber(String brNumber)
    {
        this.brNumber = brNumber;
    }

    public String getBrNumber()
    {
        return brNumber;
    }
    public void setDieneValue(String dieneValue)
    {
        this.dieneValue = dieneValue;
    }

    public String getDieneValue()
    {
        return dieneValue;
    }
    public void setTotalNitrogen(String totalNitrogen)
    {
        this.totalNitrogen = totalNitrogen;
    }

    public String getTotalNitrogen()
    {
        return totalNitrogen;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationName", getLocationName())
            .append("samplePoint", getSamplePoint())
            .append("sampleDate", getSampleDate())
            .append("sampleName", getSampleName())
            .append("na", getNa())
            .append("benzene", getBenzene())
            .append("toluene", getToluene())
            .append("ethylbenzene", getEthylbenzene())
            .append("pXylene", getpXylene())
            .append("mXylene", getmXylene())
            .append("oXylene", getoXylene())
            .append("styrene", getStyrene())
            .append("phenylacetylene", getPhenylacetylene())
            .append("totalAromatics", getTotalAromatics())
            .append("brNumber", getBrNumber())
            .append("dieneValue", getDieneValue())
            .append("totalNitrogen", getTotalNitrogen())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
